Index: /trunk/library/csstidy/class.csstidy.php
===================================================================
--- /trunk/library/csstidy/class.csstidy.php	(revision 4414)
+++ /trunk/library/csstidy/class.csstidy.php	(revision 5135)
@@ -667,5 +667,5 @@
                 elseif($string{$i} == ';' || $pn)
                 {
-                    if($this->selector{0} == '@' && isset($at_rules[substr($this->selector,1)]) && $at_rules[substr($this->selector,1)] == 'iv')
+                    if(( isset($this->selector{0}) && $this->selector{0} == '@') && isset($at_rules[substr($this->selector,1)]) && $at_rules[substr($this->selector,1)] == 'iv')
                     {
                         $this->sub_value_arr[] = trim($this->sub_value);
@@ -932,5 +932,5 @@
  * @version 1.0
  */
-function is_important(&$value)
+static function is_important(&$value)
 {
 	return (!strcasecmp(substr(str_replace($GLOBALS['csstidy']['whitespace'],'',$value),-10,10),'!important'));
@@ -944,5 +944,5 @@
  * @version 1.0
  */
-function gvw_important($value)
+static function gvw_important($value)
 {
 	if(csstidy::is_important($value))
Index: /trunk/library/ckeditor/ckeditor_source.js
===================================================================
--- /trunk/library/ckeditor/ckeditor_source.js	(revision 5081)
+++ /trunk/library/ckeditor/ckeditor_source.js	(revision 5135)
@@ -6,5 +6,5 @@
 // Compressed version of core/ckeditor_base.js. See original for instructions.
 /*jsl:ignore*/
-if(!window.CKEDITOR)window.CKEDITOR=(function(){var a={timestamp:'',version:'3.6.1',revision:'7072',_:{},status:'unloaded',basePath:(function(){var d=window.CKEDITOR_BASEPATH||'';if(!d){var e=document.getElementsByTagName('script');for(var f=0;f<e.length;f++){var g=e[f].src.match(/(^|.*[\\\/])ckeditor(?:_basic)?(?:_source)?.js(?:\?.*)?$/i);if(g){d=g[1];break;}}}if(d.indexOf(':/')==-1)if(d.indexOf('/')===0)d=location.href.match(/^.*?:\/\/[^\/]*/)[0]+d;else d=location.href.match(/^[^\?]*\/(?:)/)[0]+d;return d;})(),getUrl:function(d){if(d.indexOf(':/')==-1&&d.indexOf('/')!==0)d=this.basePath+d;if(this.timestamp&&d.charAt(d.length-1)!='/')d+=(d.indexOf('?')>=0?'&':'?')+('t=')+this.timestamp;return d;}},b=window.CKEDITOR_GETURL;if(b){var c=a.getUrl;a.getUrl=function(d){return b.call(a,d)||c.call(a,d);};}return a;})();
+if(!window.CKEDITOR)window.CKEDITOR=(function(){var a={timestamp:'',version:'3.6.2',revision:'7275',_:{},status:'unloaded',basePath:(function(){var d=window.CKEDITOR_BASEPATH||'';if(!d){var e=document.getElementsByTagName('script');for(var f=0;f<e.length;f++){var g=e[f].src.match(/(^|.*[\\\/])ckeditor(?:_basic)?(?:_source)?.js(?:\?.*)?$/i);if(g){d=g[1];break;}}}if(d.indexOf(':/')==-1)if(d.indexOf('/')===0)d=location.href.match(/^.*?:\/\/[^\/]*/)[0]+d;else d=location.href.match(/^[^\?]*\/(?:)/)[0]+d;return d;})(),getUrl:function(d){if(d.indexOf(':/')==-1&&d.indexOf('/')!==0)d=this.basePath+d;if(this.timestamp&&d.charAt(d.length-1)!='/')d+=(d.indexOf('?')>=0?'&':'?')+('t=')+this.timestamp;return d;}},b=window.CKEDITOR_GETURL;if(b){var c=a.getUrl;a.getUrl=function(d){return b.call(a,d)||c.call(a,d);};}return a;})();
 /*jsl:end*/
 
@@ -21,5 +21,15 @@
 
 	// Include the loader script.
+	if ( document.body && (!document.readyState || document.readyState == 'complete') )
+	{
+		var script = document.createElement( 'script' );
+		script.type = 'text/javascript';
+		script.src = CKEDITOR.getUrl( '_source/core/loader.js' );
+		document.body.appendChild( script );
+	}
+	else
+	{
 	document.write(
 		'<script type="text/javascript" src="' + CKEDITOR.getUrl( '_source/core/loader.js' ) + '"></script>' );
+	}
 }
Index: /trunk/library/ckeditor/ckeditor_basic_source.js
===================================================================
--- /trunk/library/ckeditor/ckeditor_basic_source.js	(revision 5081)
+++ /trunk/library/ckeditor/ckeditor_basic_source.js	(revision 5135)
@@ -6,5 +6,5 @@
 // Compressed version of core/ckeditor_base.js. See original for instructions.
 /*jsl:ignore*/
-if(!window.CKEDITOR)window.CKEDITOR=(function(){var a={timestamp:'',version:'3.6.1',revision:'7072',_:{},status:'unloaded',basePath:(function(){var d=window.CKEDITOR_BASEPATH||'';if(!d){var e=document.getElementsByTagName('script');for(var f=0;f<e.length;f++){var g=e[f].src.match(/(^|.*[\\\/])ckeditor(?:_basic)?(?:_source)?.js(?:\?.*)?$/i);if(g){d=g[1];break;}}}if(d.indexOf(':/')==-1)if(d.indexOf('/')===0)d=location.href.match(/^.*?:\/\/[^\/]*/)[0]+d;else d=location.href.match(/^[^\?]*\/(?:)/)[0]+d;return d;})(),getUrl:function(d){if(d.indexOf(':/')==-1&&d.indexOf('/')!==0)d=this.basePath+d;if(this.timestamp&&d.charAt(d.length-1)!='/')d+=(d.indexOf('?')>=0?'&':'?')+('t=')+this.timestamp;return d;}},b=window.CKEDITOR_GETURL;if(b){var c=a.getUrl;a.getUrl=function(d){return b.call(a,d)||c.call(a,d);};}return a;})();
+if(!window.CKEDITOR)window.CKEDITOR=(function(){var a={timestamp:'',version:'3.6.2',revision:'7275',_:{},status:'unloaded',basePath:(function(){var d=window.CKEDITOR_BASEPATH||'';if(!d){var e=document.getElementsByTagName('script');for(var f=0;f<e.length;f++){var g=e[f].src.match(/(^|.*[\\\/])ckeditor(?:_basic)?(?:_source)?.js(?:\?.*)?$/i);if(g){d=g[1];break;}}}if(d.indexOf(':/')==-1)if(d.indexOf('/')===0)d=location.href.match(/^.*?:\/\/[^\/]*/)[0]+d;else d=location.href.match(/^[^\?]*\/(?:)/)[0]+d;return d;})(),getUrl:function(d){if(d.indexOf(':/')==-1&&d.indexOf('/')!==0)d=this.basePath+d;if(this.timestamp&&d.charAt(d.length-1)!='/')d+=(d.indexOf('?')>=0?'&':'?')+('t=')+this.timestamp;return d;}},b=window.CKEDITOR_GETURL;if(b){var c=a.getUrl;a.getUrl=function(d){return b.call(a,d)||c.call(a,d);};}return a;})();
 /*jsl:end*/
 
Index: /trunk/library/ckeditor/config.js
===================================================================
--- /trunk/library/ckeditor/config.js	(revision 5081)
+++ /trunk/library/ckeditor/config.js	(revision 5135)
@@ -11,19 +11,23 @@
            config.enterMode = CKEDITOR.ENTER_DIV;
            config.shiftEnterMode= CKEDITOR.ENTER_P;
-           config.font_defaultLabel = 'Arial';
+           if(typeof(preferences) != 'undefined')
+           {
+                if(typeof(preferences.font_size_editor) != 'undefined')
+                  config.fontSize_defaultLabel = preferences.font_size_editor.replace('pt','');
+                if(typeof(preferences.font_family_editor) != 'undefined')
+                  config.font_defaultLabel = preferences.font_family_editor;
+           }
+           
            config.fontSize_sizes = '8/8pt;9/9pt;10/10pt;11/11pt;12/12pt;14/14pt;16/16pt;18/18pt;20/20pt;22/22pt;24/24pt;26/26pt;28/28pt;36/36pt;48/48pt;72/72pt' ;
-//         config.font_defaultLabel = 'Arial';
-//         config.fontSize_defaultLabel = '12px'; 
 
-           config.extraPlugins = 'autogrow,richcombo,expresso,keystrokes,aspell';
+           config.extraPlugins = 'richcombo,expresso,keystrokes,aspell';
            config.tabSpaces = 4;
 		   config.disableNativeSpellChecker = false;
-           // Remove the resize plugin, as it doesn't make sense to use it in conjunction with the AutoGrow plugin.
-           config.removePlugins = 'resize,scayt,menubutton,contextmenu';
+           config.removePlugins = 'elementspath,scayt,menubutton';
            config.toolbarCanCollapse = false;  
            config.toolbar_mail =
            [ 
                 ['Font','FontSize','Bold','Italic','Underline','Strike','TextColor','BGColor','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','NumberedList','BulletedList','-','Undo','Redo','Link','Unlink','Anchor','-','Find','Replace','Outdent','Indent'], '/', 
-                ['Cut','Copy','Paste','PasteText','PasteFromWord','-','Table','HorizontalRule','SpecialChar','expAddImage','expSignature','SpellCheck'] 
+                ['Cut','Copy','Paste','PasteText','PasteFromWord','-','Table','HorizontalRule','SpecialChar','expAddImage','expSignature','SpellCheck','Maximize'] 
            ];
 
@@ -31,5 +35,5 @@
            [ 
                ['Font','FontSize','Bold','Italic','Underline','Strike','TextColor','BGColor','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','NumberedList','BulletedList'], '/', 
-               ['Undo','Redo','Link','Unlink','Anchor','-','Outdent','Indent','-','Cut','Copy','Paste','PasteText','PasteFromWord','-','Table','HorizontalRule','SpecialChar','SpellCheck'] 
+               ['Undo','Redo','Link','Unlink','Anchor','-','Outdent','Indent','-','Cut','Copy','Paste','PasteText','PasteFromWord','-','Table','HorizontalRule','SpecialChar','SpellCheck','Maximize'] 
            ];
 };
Index: /trunk/library/mime/mimePart.php
===================================================================
--- /trunk/library/mime/mimePart.php	(revision 4414)
+++ /trunk/library/mime/mimePart.php	(revision 5135)
@@ -49,5 +49,5 @@
  * @copyright 2003-2006 PEAR <pear-group@php.net>
  * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
- * @version   CVS: $Id: mimePart.php 305690 2010-11-23 12:41:00Z alec $
+ * @version   CVS: $Id: mimePart.php 314695 2011-08-10 07:18:07Z alec $
  * @link      http://pear.php.net/package/Mail_mime
  */
@@ -145,5 +145,5 @@
     *     cid               - Content ID to apply
     *     disposition       - Content disposition, inline or attachment
-    *     dfilename         - Filename parameter for content disposition
+    *     filename          - Filename parameter for content disposition
     *     description       - Content description
     *     name_encoding     - Encoding of the attachment name (Content-Type)
@@ -186,4 +186,9 @@
                 $this->_body_file = $value;
                 break;
+
+            // for backward compatibility
+            case 'dfilename':
+                $params['filename'] = $value;
+                break;
             }
         }
@@ -801,4 +806,7 @@
         // Structured header (make sure addr-spec inside is not encoded)
         if (!empty($separator)) {
+            // Simple e-mail address regexp
+            $email_regexp = '(\S+|("[^\r\n"]+"))@\S+';
+
             $parts = Mail_mimePart::_explodeQuotedString($separator, $value);
             $value = '';
@@ -818,10 +826,10 @@
 
                 // let's find phrase (name) and/or addr-spec
-                if (preg_match('/^<\S+@\S+>$/', $part)) {
+                if (preg_match('/^<' . $email_regexp . '>$/', $part)) {
                     $value .= $part;
-                } else if (preg_match('/^\S+@\S+$/', $part)) {
+                } else if (preg_match('/^' . $email_regexp . '$/', $part)) {
                     // address without brackets and without name
                     $value .= $part;
-                } else if (preg_match('/<*\S+@\S+>*$/', $part, $matches)) {
+                } else if (preg_match('/<*' . $email_regexp . '>*$/', $part, $matches)) {
                     // address with name (handle name)
                     $address = $matches[0];
Index: /trunk/library/mime/mime.php
===================================================================
--- /trunk/library/mime/mime.php	(revision 4414)
+++ /trunk/library/mime/mime.php	(revision 5135)
@@ -64,5 +64,5 @@
  * This package depends on PEAR to raise errors.
  */
-//require_once 'PEAR.php';
+require_once $_SESSION['rootPath'].'/library/PEAR/PEAR.php';
 
 /**
@@ -977,6 +977,7 @@
             }
             break;
-
-        case $html && $attachments && $html_images:
+		/*
+		 * Original:
+		 * case $html && $attachments && $html_images:
             $message =& $this->_addMixedPart();
             if (isset($this->_txtbody)) {
@@ -994,5 +995,28 @@
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
+		 *	break;
+		 * Alteração feita para que as imagens senjam inseridas junto com os anexos e não em uma alternate part.
+		 * Para compatibilização com a fomra do expresso anexar imagens no copo do e-mail
+		 * 
+		 */
+		case $html && $attachments && $html_images:
+            $message =& $this->_addMixedPart();
+            if (isset($this->_txtbody)) {
+                $alt =& $this->_addAlternativePart($message);
+                $this->_addTextPart($alt, $this->_txtbody);
+            } else {
+				$this->_addHtmlPart($message);
+            }
+			
+            for ($i = 0; $i < count($this->_html_images); $i++) {
+                $this->_addHtmlImagePart($message, $this->_html_images[$i]);
+            }
+            for ($i = 0; $i < count($this->_parts); $i++) {
+                $this->_addAttachmentPart($message, $this->_parts[$i]);
+            }
             break;
+		/*
+		 * Fim da alteração
+		 */	
 
         }
